package intrinsic.mx.core;

public class Window extends intrinsic.mx.core.LayoutContainer implements intrinsic.mx.core.IWindow {

	/** Accessors */
	public double height;
	public double width;
	public intrinsic.mx.core.EdgeMetrics viewMetrics;
	public intrinsic.Class titleIcon;
	public String systemChrome;
	public intrinsic.mx.core.IFactory statusBarFactory;
	public boolean transparent;
	public intrinsic.mx.core.IFactory titleBarFactory;
	public boolean minimizable;
	public String type;
	public intrinsic.flash.display.NativeWindow nativeWindow;
	public String status;
	public boolean resizable;
	public double minWidth;
	public boolean showStatusBar;
	public boolean maximizable;
	public double maxWidth;
	public Object titleBar;
	public boolean showTitleBar;
	public double minHeight;
	public boolean visible;
	public String title;
	public boolean showGripper;
	public boolean alwaysInFront;
	public double maxHeight;
	public boolean closed;

	/** Variables */
	public intrinsic.mx.core.IUIComponent controlBar;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Window() {
}


/** Static Methods */
public static native intrinsic.mx.core.Window getWindow(intrinsic.mx.core.UIComponent arg0);

/** Methods */
public native void initialize();
public native void close();
public native double getStatusBarHeight();
public native void styleChanged(String arg0);
public native void open();
public native void open(boolean arg0);
public native void orderInBackOf(intrinsic.flash.display.NativeWindow arg0);
public native void minimize();
public native void restore();
public native void maximize();
public native void validateDisplayList();
public native void orderToFront();
public native void activate();
public native void orderToBack();
public native void orderInFrontOf(intrinsic.flash.display.NativeWindow arg0);
public native void move(double arg0, double arg1);

}
